import 'dart:io';
import 'package:path_provider/path_provider.dart';
import 'package:flustars/flustars.dart';
import 'package:flutter/material.dart';
import 'package:flutter_smart_dialog/flutter_smart_dialog.dart';
import 'package:ftrecruiter/api/api_repository.dart';
import 'package:ftrecruiter/comm/utils/log_utils.dart';
import 'package:ftrecruiter/entity/response/server_time.dart';
import 'package:get/get.dart';

class DemoController extends GetxController with StateMixin<ServerTime> {
  DemoController({required this.apiRepository});

  final ApiRepository apiRepository;

  final registerEmailController = TextEditingController();

  //调用接口，获取服务器时间
  void getServerTime() {
    //获取服务器时间
    // apiRepository.getServerTime(success: (serverTime) {
    //   Log.d("data:$serverTime");
    //   change(serverTime, status: RxStatus.success());
    // }, onError: (code, msg) {
    //   Log.d("data-error:$code $msg");
    //   change(null, status: RxStatus.empty());
    // });

    //获取用户信息
    // apiRepository.getUserProfile(success: (userProfile) {
    //   Log.d("user-profile-success - memberId:${userProfile.memberId}");
    //   SmartDialog.showToast(
    //       "get user profile success , memberId:${userProfile.memberId}");
    // }, onError: (code, msg) {
    //   Log.d("user-profile-error:$code $msg");
    // });

    //获取行业列表
    // apiRepository.getIndustryList(success: (list) {
    //   Log.d("industry-success list length: ${list.length}");
    // }, onError: (code, msg) {
    //   Log.d("industry-error:$code $msg");
    // });

    //测试Post请求，用户登陆
    apiRepository.userLogin(success: (userLogin) {

      SmartDialog.showToast("Token: ${userLogin.token}");


      apiRepository.userProfileUpdate(userLogin.token,success: (userLogin) {

        SmartDialog.showToast("更新用户信息成功");

      },onError: (code, msg) {

        SmartDialog.showToast("更新用户信息错误: $code $msg");

      });


    }, onError: (code, msg) {
      Log.d("用户登陆-error:$code $msg");
    });

    // apiRepository.hotelLogin(success: (hotelLogin) {
    //   SmartDialog.showToast("Token: ${hotelLogin.token}");
    // }, onError: (code, msg) {
    //   SmartDialog.showToast("酒店登陆-error:$code $msg");
    // });

  }

  Future<File> getLocalFile(String fileName) async {
    final directory = await getApplicationDocumentsDirectory();
    return File('${directory.path}/$fileName');
  }

}
