import 'package:ftrecruiter/modules/auth/change_email/change_email_binding.dart';
import 'package:ftrecruiter/modules/auth/change_email/change_email_page.dart';
import 'package:ftrecruiter/modules/auth/change_psd/change_psd_binding.dart';
import 'package:ftrecruiter/modules/auth/change_psd/change_psd_page.dart';
import 'package:ftrecruiter/modules/auth/forgot_psd/forgot_psd_binding.dart';
import 'package:ftrecruiter/modules/auth/forgot_psd/forgot_psd_page.dart';
import 'package:ftrecruiter/modules/auth/login/login_binding.dart';
import 'package:ftrecruiter/modules/auth/login/login_page.dart';
import 'package:ftrecruiter/modules/zdemo/DemoPage.dart';
import 'package:get/get.dart';
import 'package:ftrecruiter/modules/auth/choose/choose_binding.dart';
import 'package:ftrecruiter/modules/auth/choose/choose_page.dart';
import 'package:ftrecruiter/modules/auth/register/register_binding.dart';
import 'package:ftrecruiter/modules/auth/register/register_page.dart';
import 'package:ftrecruiter/modules/splash/splash_binding.dart';
import 'package:ftrecruiter/modules/splash/splash_page.dart';

part 'router_path.dart';

class PageRouter {
  static const INITIAL = RouterPath.SPLASH;

  static final routes = [
    GetPage(
      name: RouterPath.SPLASH,
      page: () => const SplashPage(),
      binding: SplashBinding(),
    ),

    //用户模块
    GetPage(
      name: RouterPath.AUTH_LOGIN,
      page: () => LoginPage(),
      binding: LoginBinding(),
    ),
    GetPage(
      name: RouterPath.AUTH_CHOOSE,
      page: () => ChoosePage(),
      binding: ChooseBinding(),
    ),
    GetPage(
      name: RouterPath.AUTH_REGISTER,
      page: () => RegisterPage(),
      binding: RegisterBinding(),
    ),
    GetPage(
      name: RouterPath.AUTH_CHANGE_EMAIL,
      page: () => ChangeEmailPage(),
      binding: ChangeEmailBinding(),
    ),
    GetPage(
      name: RouterPath.AUTH_CHANGE_PSD,
      page: () => ChangePsdPage(),
      binding: ChangePsdBinding(),
    ),
    GetPage(
      name: RouterPath.AUTH_FORGOT,
      page: () => ForgotPsdPage(),
      binding: ForgotPsdBinding(),
    ),

    //用于测试与示例
    GetPage(
      name: RouterPath.DEMO,
      page: () => DemoPage(),
    ),
  ];
}
